/* ***** BEGIN LICENSE BLOCK ***** 
 * Version: RCSL 1.0/RPSL 1.0 
 *  
 * Portions Copyright (c) 1995-2002 RealNetworks, Inc. All Rights Reserved. 
 *      
 * The contents of this file, and the files included with this file, are 
 * subject to the current version of the RealNetworks Public Source License 
 * Version 1.0 (the "RPSL") available at 
 * http://www.helixcommunity.org/content/rpsl unless you have licensed 
 * the file under the RealNetworks Community Source License Version 1.0 
 * (the "RCSL") available at http://www.helixcommunity.org/content/rcsl, 
 * in which case the RCSL will apply. You may also obtain the license terms 
 * directly from RealNetworks.  You may not use this file except in 
 * compliance with the RPSL or, if you have a valid RCSL with RealNetworks 
 * applicable to this file, the RCSL.  Please see the applicable RPSL or 
 * RCSL for the rights, obligations and limitations governing use of the 
 * contents of the file.  
 *  
 * This file is part of the Helix DNA Technology. RealNetworks is the 
 * developer of the Original Code and owns the copyrights in the portions 
 * it created. 
 *  
 * This file, and the files included with this file, is distributed and made 
 * available on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER 
 * EXPRESS OR IMPLIED, AND REALNETWORKS HEREBY DISCLAIMS ALL SUCH WARRANTIES, 
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS 
 * FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT. 
 * 
 * Technology Compatibility Kit Test Suite(s) Location: 
 *    http://www.helixcommunity.org/content/tck 
 * 
 * Contributor(s): 
 *  
 * ***** END LICENSE BLOCK ***** */ 

#ifndef _HXATHSP_H_
#define _HXATHSP_H_

#include "smartptr.h"

struct IHXCredRequestResponse;
DEFINE_SMART_POINTER(IHXCredRequestResponse)
DEFINE_WRAPPED_POINTER(IHXCredRequestResponse)


struct IHXCredRequest;
DEFINE_SMART_POINTER(IHXCredRequest)
DEFINE_WRAPPED_POINTER(IHXCredRequest)

struct IHXClientAuthResponse;
DEFINE_SMART_POINTER(IHXClientAuthResponse)
DEFINE_WRAPPED_POINTER(IHXClientAuthResponse)


struct IHXClientAuthConversation;
DEFINE_SMART_POINTER(IHXClientAuthConversation)
DEFINE_WRAPPED_POINTER(IHXClientAuthConversation)


struct IHXServerAuthResponse;
DEFINE_SMART_POINTER(IHXServerAuthResponse)
DEFINE_WRAPPED_POINTER(IHXServerAuthResponse)


struct IHXServerAuthConversation;
DEFINE_SMART_POINTER(IHXServerAuthConversation)
DEFINE_WRAPPED_POINTER(IHXServerAuthConversation)


struct IHXUserContext;
DEFINE_SMART_POINTER(IHXUserContext)
DEFINE_WRAPPED_POINTER(IHXUserContext)


struct IHXUserProperties;
DEFINE_SMART_POINTER(IHXUserProperties)
DEFINE_WRAPPED_POINTER(IHXUserProperties)


struct IHXUserImpersonation;
DEFINE_SMART_POINTER(IHXUserImpersonation)
DEFINE_WRAPPED_POINTER(IHXUserImpersonation)

struct IHXChallenge;
DEFINE_SMART_POINTER(IHXChallenge)
DEFINE_WRAPPED_POINTER(IHXChallenge)

struct IHXChallengeResponse;
DEFINE_SMART_POINTER(IHXChallengeResponse)
DEFINE_WRAPPED_POINTER(IHXChallengeResponse)

#endif //!_HXATHSP_H_
